package com.example.haiwei_mom.data.device;

import androidx.databinding.BaseObservable;

/**
 * @author wanghao
 * @date 2024/3/29  15:54
 */
public class LubricationDetail extends BaseObservable {

    /**
     * billsLubeDetailId : 1
     * lubeInstanceId : 1
     * deviceId : 1
     * lubeStationId : 1
     * lubeStandardId : 1
     * operationDescription : ddd1d
     * maintStatus : 3
     * isFlag : null
     * beginTime : null
     * endTime : null
     * typeName : 测试类型1
     * deviceCode : 22601
     * deviceName : 设备一号
     * lubeStationName : null
     * lubeProtocol : 标准1
     * lubeOperationDescription : null
     */

    private int billsLubeDetailId;
    private int lubeInstanceId;
    private int deviceId;
    private int lubeStationId;
    private int lubeStandardId;
    private String operationDescription;
    private Long maintStatus;
    private String typeName;
    private String deviceCode;
    private String deviceName;
    private String lubeStationName;
    private String lubeProtocol;
    private String lubeOperationDescription;
    // 显示 
    private String maintStatusStr;
    private String buttonText;
    private boolean buttonVisb;
    
    public boolean isButtonVisb() {
        if (maintStatus != null && maintStatus==3) {
            return false;
        }
        return true;
    }
    public String getButtonText() {
        if (maintStatus == null || maintStatus == 1) {
            return "开始润滑";
        }
        return "完成润滑";
    }
    public String getMaintStatusStr() {
        if (maintStatus == null){
            return "待润滑";
        } else if (maintStatus==1) {
            return "待润滑";
        } else if (maintStatus ==2) {
            return "润滑中";
        } else if (maintStatus ==3) {
            return "润滑完成";
        }

        return null;
    }
    public int getBillsLubeDetailId() {
        return billsLubeDetailId;
    }

    public void setBillsLubeDetailId(int billsLubeDetailId) {
        this.billsLubeDetailId = billsLubeDetailId;
    }

    public int getLubeInstanceId() {
        return lubeInstanceId;
    }

    public void setLubeInstanceId(int lubeInstanceId) {
        this.lubeInstanceId = lubeInstanceId;
    }

    public int getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(int deviceId) {
        this.deviceId = deviceId;
    }

    public int getLubeStationId() {
        return lubeStationId;
    }

    public void setLubeStationId(int lubeStationId) {
        this.lubeStationId = lubeStationId;
    }

    public int getLubeStandardId() {
        return lubeStandardId;
    }

    public void setLubeStandardId(int lubeStandardId) {
        this.lubeStandardId = lubeStandardId;
    }

    public String getOperationDescription() {
        return operationDescription;
    }

    public void setOperationDescription(String operationDescription) {
        this.operationDescription = operationDescription;
    }

    public Long getMaintStatus() {
        return maintStatus;
    }

    public void setMaintStatus(Long maintStatus) {
        this.maintStatus = maintStatus;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getLubeStationName() {
        return lubeStationName;
    }

    public void setLubeStationName(String lubeStationName) {
        this.lubeStationName = lubeStationName;
    }

    public String getLubeProtocol() {
        return lubeProtocol;
    }

    public void setLubeProtocol(String lubeProtocol) {
        this.lubeProtocol = lubeProtocol;
    }

    public String getLubeOperationDescription() {
        return lubeOperationDescription;
    }

    public void setLubeOperationDescription(String lubeOperationDescription) {
        this.lubeOperationDescription = lubeOperationDescription;
    }
}
